Subject: Re: git cat-file --batch surprising carriage return behavior

From: Joey Hess <[email-masked]>
Date: Wed, 9 Oct 2019 11:28:51 -0400

Jeff King wrote:
> If we just add a new "-z", that's less disruptive_and_ easier to use.

Agreed. 

> I suspect it's not entirely sufficient for clean input, though. You're
> not feeding filenames but rather full "object names". I wouldn't be
> surprised if we mis-parse "$rev:$path" when $path has "@{}" or similar
> in it.

Nothing I've tried along the lines of "HEAD:{yesterday}" has misparsed
the part after the colon as anything but a filename.

The one I can think of where there's a parse ambiguity is that while
:foo gets file foo, :1:foo does not get file "1:foo". Instead it's
treated as a stage number. Using either HEAD:1:foo or :./1:foo
will avoid that ambiguity.

-- 
see shy jo